package config

import (
	"fmt"
	"path"
	"runtime"
	"testing"
)

func getCurrentPath() string {
	_, filename, _, _ := runtime.Caller(1)

	return path.Dir(filename)
}
func TestGetConfigInfo(t1 *testing.T) {
	var config ConfigInfo
	config.GetConfigInfo("../../file/test.txt")
	fmt.Println(config)
}
func TestReadFile(t1 *testing.T) {
	fmt.Println(getCurrentPath())
	var config ConfigInfo
	//config.GetConfigInfo("../../file/test.txt")
	configRet := config.ReadCofing("../../file/test.txt")
	fmt.Println(configRet)
	fmt.Println("-------------------ParseConfigSql------------------------")
	retXugu := config.ParseConfigSql(configRet["xugu"])
	retSql := config.ParseConfigSql(configRet["sql"])
	for _, v := range retXugu {
		fmt.Println("retXugu", v)
	}
	for _, v := range retSql {
		fmt.Println("retSql", v)
	}
	fmt.Println("------------------ParseGroupCase---------------------------")
	var a map[string]string
	for _, v := range retXugu {
		a = config.ParseGroupCase(v)
		fmt.Println("ParseSqlCase:", a)
	}
	fmt.Println("a", a["port"])

	var b map[string]string
	for _, v := range retSql {
		b = config.ParseGroupCase(v)
		fmt.Println("ParseSqlCase:", b)
	}
}
